package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.FoodSpecs;

/**
 * 规格组 Service 接口
 *
 * @author ruoyi
 * @date 2026-07-15
 */
public interface IFoodSpecsService extends IService<FoodSpecs>
{
    /** 查询规格组 */
    public FoodSpecs selectFoodSpecsById(Long id);

    /** 查询规格组列表 */
    public List<FoodSpecs> selectFoodSpecsList(FoodSpecs foodSpecs);

    /** 新增规格组 */
    public int insertFoodSpecs(FoodSpecs foodSpecs);

    /** 修改规格组 */
    public int updateFoodSpecs(FoodSpecs foodSpecs);

    /** 批量删除规格组 */
    public int deleteFoodSpecsByIds(Long[] ids);

    /** 删除规格组 */
    public int deleteFoodSpecsById(Long id);
}
